## Search Bar

Search Bar — Search for unicode codepoints within a font

## Functions

GtkWidget * | unicode_search_bar_new ()
void | unicode_search_bar_set_character_map ()

## Properties

GObject * | character-map | Read / Write

## Types and Values

#define | UNICODE_TYPE_SEARCH_BAR
| UnicodeSearchBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkSearchBar
                            ╰── UnicodeSearchBar

## Implemented Interfaces

UnicodeSearchBar implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <unicode-search-bar.h>

## Description

This widget provides a way to search for characters by name, value or other information.

## Functions

### unicode_search_bar_new ()

    GtkWidget *
    unicode_search_bar_new (void);

#### Returns

A newly created UnicodeSearchBar. Free the returned object using ``g_object_unref()``.

[transfer full]

### unicode_search_bar_set_character_map ()

    void
    unicode_search_bar_set_character_map (UnicodeSearchBar *self,
                                          UnicodeCharacterMap *character_map);

#### Parameters

self | UnicodeSearchBar |
character_map | UnicodeCharacterMap. | [transfer none][nullable]

## Types and Values

### UNICODE_TYPE_SEARCH_BAR

    #define UNICODE_TYPE_SEARCH_BAR (unicode_search_bar_get_type())

### UnicodeSearchBar

    typedef struct _UnicodeSearchBar UnicodeSearchBar;

## Property Details

### The `“character-map”` property

      “character-map”            GObject *

UnicodeCharacterMap.

Owner: UnicodeSearchBar

Flags: Read / Write